1. Send message
Ant CRM API
  • Leads
    • Create Lead
      POST
    • Get Leads
      GET
  • Users
    • Get users
      GET
    • Get user details
      GET
  • Whatsapp
    • Send message
      • Template message
        POST
      • Text message
        POST
      • Media message
        POST
    • Get messages
      GET
  1. Send message

Text message

POST
/api/v1/whatsapp/messages/

Request

Authorization
Send your HTTP requests with an
Authorization
header that contains the word Basic followed by a space and a base64-encoded string username:password
Example:
Authorization: Basic *****************
Query Params

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.antcrm.co/api/v1/whatsapp/messages/?phone_number=919876543210' \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '{
    "message_text":"Hello, how are you?",
    "type":"text"
}'
Response Response Example
{"error":false,"data":{"id":"dc49d4d4-322a-44ad-9184-131fd25760b6","created_on":"2026-03-14T17:23:15.803458Z","last_updated_on":"2026-03-14T17:23:17.321400Z","message_id":"wamid.HBgMOTE5ODc2NTQzMjEwFQIAERgSMjBDQjM3Q0UxMjIyOTdFNjg1AA==","sender":"883595854832634","receiver":"919876543210","message_text":"Hello, how are you?","lat":null,"long":null,"emoji":null,"template":{},"type":"text","status":"pending","is_reply":false,"bulk_batch":null,"has_attachment":false,"attachment_type":null,"attachment":null,"data":{"messaging_product":"whatsapp","contacts":[{"input":"919876543210","wa_id":"919876543210"}],"messages":[{"id":"wamid.HBgMOTE5ODc2NTQzMjEwFQIAERgSMjBDQjM3Q0UxMjIyOTdFNjg1AA=="}]},"parent":null}}
Modified at 2026-03-15 16:53:42
Previous
Template message
Next
Media message
Built with